RejectOrder (3.14.0 400 API)
Date: 2018-11-22

com.marketfactory.messaging

## Class RejectOrder

- java.lang.Object
- - com.marketfactory.messaging.RejectOrder

- All Implemented Interfaces:
    IMessage, java.io.Serializable, java.lang.Comparable<RejectOrder>

      public final class RejectOrder
      extends java.lang.Object
      implements IMessage, java.lang.Comparable<RejectOrder>, java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `MFFloat` | `amount` A currency amount/size, in MFFloat format.
    `java.lang.String` | `clOrdID` Client-provided order ID.
    `java.lang.String` | `detail`
    `java.lang.String` | `execID`
    `int` | `feedID` A unique identifier for the feed.
    `boolean` | `isBaseSpecified`
    `int` | `marketID` A market ID, which identifies a unique financial instrument.
    `java.lang.String` | `orderID` Internal order ID.
    `java.lang.String` | `partyID`
    `MFFloat` | `price` A currency price, in MFFloat format.
    `java.lang.String` | `quoteReqID`
    `long` | `settlDate`
    `Side` | `side`
    `java.lang.String` | `text`
    `long` | `timeApiClient` Timestamp at the client API (taken on the client host).
    `long` | `timeApiServer` Timestamp in the client handler within Whisperer.
    `long` | `timeHandler` Timestamp exiting the feed handler within Whisperer.
    `long` | `tradeDate`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `RejectOrder()`
    `` | `RejectOrder(int feedID, int marketID, boolean isBaseSpecified, Side side, MFFloat amount, MFFloat price, java.lang.String partyID, java.lang.String orderID, java.lang.String clOrdID, java.lang.String execID, java.lang.String quoteReqID, long tradeDate, long settlDate, java.lang.String text, long timeApiClient, long timeApiServer, long timeHandler, java.lang.String detail)`
    `protected` | `RejectOrder(ProtoByteBuffer buffer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(RejectOrder rhs)`
    `void` | `deserialize(ProtoByteBuffer buffer)`
    `protected void` | `dump(TextWriter wr)`
    `boolean` | `equals(java.lang.Object rhs)`
    `int` | `getMsgType()`
    `int` | `hashCode()`
    `void` | `serialize(ProtoByteBuffer buffer)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### feedID

          public int feedID

      A unique identifier for the feed.

    - #### marketID

          public int marketID

      A market ID, which identifies a unique financial instrument.

    - #### isBaseSpecified

          public boolean isBaseSpecified

    - #### side

          public Side side

    - #### amount

          public MFFloat amount

      A currency amount/size, in MFFloat format.

    - #### price

          public MFFloat price

      A currency price, in MFFloat format.

    - #### partyID

          public java.lang.String partyID

    - #### orderID

          public java.lang.String orderID

      Internal order ID.

    - #### clOrdID

          public java.lang.String clOrdID

      Client-provided order ID.

    - #### execID

          public java.lang.String execID

    - #### quoteReqID

          public java.lang.String quoteReqID

    - #### tradeDate

          public long tradeDate

    - #### settlDate

          public long settlDate

    - #### text

          public java.lang.String text

    - #### timeApiClient

          public long timeApiClient

      Timestamp at the client API (taken on the client host).

    - #### timeApiServer

          public long timeApiServer

      Timestamp in the client handler within Whisperer.

    - #### timeHandler

          public long timeHandler

      Timestamp exiting the feed handler within Whisperer.

    - #### detail

          public java.lang.String detail

  - ### Constructor Detail

    - #### RejectOrder

          public RejectOrder()

    - #### RejectOrder

          protected RejectOrder(ProtoByteBuffer buffer)

    - #### RejectOrder

          public RejectOrder(int feedID,
                             int marketID,
                             boolean isBaseSpecified,
                             Side side,
                             MFFloat amount,
                             MFFloat price,
                             java.lang.String partyID,
                             java.lang.String orderID,
                             java.lang.String clOrdID,
                             java.lang.String execID,
                             java.lang.String quoteReqID,
                             long tradeDate,
                             long settlDate,
                             java.lang.String text,
                             long timeApiClient,
                             long timeApiServer,
                             long timeHandler,
                             java.lang.String detail)

  - ### Method Detail

    - #### getMsgType

          public int getMsgType()

      Specified by:
        `getMsgType` in interface `IMessage`

    - #### equals

          public boolean equals(java.lang.Object rhs)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(RejectOrder rhs)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<RejectOrder>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### deserialize

          public void deserialize(ProtoByteBuffer buffer)

      Specified by:
        `deserialize` in interface `IMessage`

    - #### serialize

          public void serialize(ProtoByteBuffer buffer)

      Specified by:
        `serialize` in interface `IMessage`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IMessage`
      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          protected void dump(TextWriter wr)